<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Image APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Image APIs<br/>
<small>
[<a class="el" href="group__group__vx__framework__data__object.html">Data Objects</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__image__map__info__t.html">tivx_image_map_info_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Information about a image mapping.  <a href="structtivx__image__map__info__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__image__t.html">tivx_image_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Image object internal state.  <a href="structtivx__image__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__image.html#gab68727411ea99e2640bc5d9d25f7cc56">ownPrintImageAddressing</a> (const <a class="el" href="structvx__imagepatch__addressing__t.html">vx_imagepatch_addressing_t</a> *addr)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Print image patch addressing info.  <a href="#gab68727411ea99e2640bc5d9d25f7cc56"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__image.html#ga82769f15a146e1609fdaf2bae5416132">ownPrintImage</a> (<a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a> image)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Print image info.  <a href="#ga82769f15a146e1609fdaf2bae5416132"></a><br/></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gab68727411ea99e2640bc5d9d25f7cc56"></a><!-- doxytag: member="vx_image.h::ownPrintImageAddressing" ref="gab68727411ea99e2640bc5d9d25f7cc56" args="(const vx_imagepatch_addressing_t *addr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ownPrintImageAddressing </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structvx__imagepatch__addressing__t.html">vx_imagepatch_addressing_t</a> *&nbsp;</td>
          <td class="paramname"> <em>addr</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Print image patch addressing info. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>addr</em>&nbsp;</td><td>[in] Image patch addressing info </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga82769f15a146e1609fdaf2bae5416132"></a><!-- doxytag: member="vx_image.h::ownPrintImage" ref="ga82769f15a146e1609fdaf2bae5416132" args="(vx_image image)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ownPrintImage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a>&nbsp;</td>
          <td class="paramname"> <em>image</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Print image info. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>image</em>&nbsp;</td><td>[in] Image </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
